Bug 107261 - [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 1us * 10 tries - optc1_lock line:628
Summary: [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 1us * 10 tries - opt...
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-17 11:30 UTC by Paul Menzel
Modified: 2019-02-08 03:40 UTC (History)
10 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Linux 4.18-rc5+ messages (65.37 KB, text/plain)
2018-07-17 11:30 UTC, Paul Menzel
no flags Details
Linux 4.18-rc5+ messages with trace from `power_down_all_hw_blocks` (19.04 KB, text/x-log)
2018-07-18 15:51 UTC, Paul Menzel
no flags Details
4.18.7-arch with 2500U messages (5.26 KB, text/x-log)
2018-09-16 20:20 UTC, Zheng Luo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Menzel 2018-07-17 11:30:17 UTC
Created attachment 140664 [details]
Linux 4.18-rc5+ messages

On a MSI B350M MORTAR with Linux 4.18-rc5+ and Debian Sid/unstable with GNOME I get the error below.

```
$ git log --oneline -1
30b06abfb92b (HEAD -> master, origin/master, origin/HEAD) Merge tag 'pinctrl-v4.18-3' of git://git.kernel.org/pub/scm/linux/kernel/git/linusw/linux-pinctrl
$ git describe --dirty
v4.18-rc5-36-g30b06abfb92b
$ sudo dmesg
[…]
[  171.571430] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 1us * 10 tries - optc1_lock line:628
[  171.571485] WARNING: CPU: 2 PID: 917 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:254 generic_reg_wait+0xe7/0x160 [amdgpu]
[  171.571486] Modules linked in: fuse nls_ascii amdkfd nls_cp437 vfat fat wmi_bmof ppdev amdgpu edac_mce_amd ccp rng_core chash snd_hda_codec_realtek efi_pstore gpu_sched kvm ttm irqbypass snd_hda_codec_generic snd_hda_codec_hdmi crct10dif_pclmul sp5100_tco crc32_pclmul pcspkr snd_hda_intel i2c_piix4 ghash_clmulni_intel drm_kms_helper snd_hda_codec snd_hda_core efivars sg snd_hwdep k10temp r8169 snd_pcm drm mii snd_timer snd i2c_algo_bit soundcore parport_pc wmi parport video button acpi_cpufreq efivarfs ip_tables x_tables autofs4 ext4 crc16 mbcache jbd2 fscrypto dm_crypt dm_mod raid10 raid456 libcrc32c crc32c_generic async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq raid1 raid0 multipath linear md_mod sd_mod evdev hid_generic usbhid hid crc32c_intel ahci libahci xhci_pci aesni_intel
[  171.571521]  aes_x86_64 xhci_hcd crypto_simd cryptd glue_helper libata usbcore scsi_mod gpio_amdpt gpio_generic
[  171.571527] CPU: 2 PID: 917 Comm: gnome-shell Not tainted 4.18.0-rc5+ #1
[  171.571528] Hardware name: MSI MS-7A37/B350M MORTAR (MS-7A37), BIOS 1.F0 04/27/2018
[  171.571569] RIP: 0010:generic_reg_wait+0xe7/0x160 [amdgpu]
[  171.571569] Code: 44 24 58 8b 54 24 48 89 de 44 89 4c 24 08 48 8b 4c 24 50 48 c7 c7 10 2e b5 c0 e8 f4 e1 ac ff 83 7d 20 01 44 8b 4c 24 08 74 02 <0f> 0b 48 83 c4 10 44 89 c8 5b 5d 41 5c 41 5d 41 5e 41 5f c3 41 0f 
[  171.571585] RSP: 0018:ffffb2f003d1f920 EFLAGS: 00010297
[  171.571587] RAX: 0000000000000000 RBX: 0000000000000001 RCX: 0000000000000000
[  171.571587] RDX: 0000000000000000 RSI: ffff9d185ec96738 RDI: ffff9d185ec96738
[  171.571588] RBP: ffff9d1843a49800 R08: 0000000000000392 R09: 0000000000000001
[  171.571588] R10: 0000000000000000 R11: ffffffffb4fcaf4d R12: 000000000000000b
[  171.571589] R13: 000000000000504d R14: 0000000000000100 R15: 0000000000000001
[  171.571590] FS:  00007f7488a34ac0(0000) GS:ffff9d185ec80000(0000) knlGS:0000000000000000
[  171.571591] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  171.571592] CR2: 000001b1baab4488 CR3: 00000003dc648000 CR4: 00000000003406e0
[  171.571592] Call Trace:
[  171.571640]  optc1_lock+0xa0/0xb0 [amdgpu]
[  171.571684]  dcn10_pipe_control_lock.part.28+0x4a/0x70 [amdgpu]
[  171.571728]  dcn10_apply_ctx_for_surface+0xee/0x1210 [amdgpu]
[  171.571731]  ? _cond_resched+0x15/0x30
[  171.571774]  ? hubbub1_verify_allow_pstate_change_high+0xdd/0x180 [amdgpu]
[  171.571817]  ? dcn10_verify_allow_pstate_change_high+0x1d/0x240 [amdgpu]
[  171.571859]  ? dcn10_set_bandwidth+0x275/0x2d0 [amdgpu]
[  171.571900]  dc_commit_state+0x253/0x550 [amdgpu]
[  171.571940]  ? set_freesync_on_streams.part.6+0x4d/0x250 [amdgpu]
[  171.571979]  ? mod_freesync_set_user_enable+0x11f/0x150 [amdgpu]
[  171.572023]  amdgpu_dm_atomic_commit_tail+0x37c/0xd70 [amdgpu]
[  171.572058]  ? amdgpu_bo_pin_restricted+0xd6/0x300 [amdgpu]
[  171.572060]  ? _cond_resched+0x15/0x30
[  171.572061]  ? wait_for_completion_timeout+0x3b/0x1a0
[  171.572063]  ? refcount_inc+0x5/0x30
[  171.572070]  commit_tail+0x3d/0x70 [drm_kms_helper]
[  171.572075]  drm_atomic_helper_commit+0xb4/0x120 [drm_kms_helper]
[  171.572087]  drm_atomic_connector_commit_dpms+0xdb/0x100 [drm]
[  171.572097]  drm_mode_obj_set_property_ioctl+0x174/0x270 [drm]
[  171.572107]  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
[  171.572116]  drm_ioctl_kernel+0xa1/0xf0 [drm]
[  171.572126]  drm_ioctl+0x1fc/0x390 [drm]
[  171.572135]  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
[  171.572138]  ? eventfd_read+0xed/0x2a0
[  171.572171]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[  171.572174]  do_vfs_ioctl+0xa4/0x620
[  171.572176]  ksys_ioctl+0x60/0x90
[  171.572178]  ? ksys_read+0x9c/0xb0
[  171.572179]  __x64_sys_ioctl+0x16/0x20
[  171.572182]  do_syscall_64+0x55/0xe0
[  171.572184]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[  171.572186] RIP: 0033:0x7f749a661067
[  171.572186] Code: b3 66 90 48 8b 05 21 7e 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d f1 7d 0c 00 f7 d8 64 89 01 48 
[  171.572206] RSP: 002b:00007fff3a256808 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[  171.572207] RAX: ffffffffffffffda RBX: 0000557309136180 RCX: 00007f749a661067
[  171.572208] RDX: 00007fff3a256840 RSI: 00000000c01864ba RDI: 000000000000000b
[  171.572209] RBP: 00007fff3a256840 R08: 0000000000000000 R09: 0000000000000002
[  171.572209] R10: 0000557309132cd8 R11: 0000000000000246 R12: 00000000c01864ba
[  171.572210] R13: 000000000000000b R14: 00007fff3a256a40 R15: 00007f749bfb6bb0
[  171.572212] ---[ end trace db9d21cbef0f5346 ]---
```
Comment 1 Paul Menzel 2018-07-18 15:51:00 UTC
Created attachment 140703 [details]
Linux 4.18-rc5+ messages with trace from `power_down_all_hw_blocks`

Here is another trace from `power_down_all_hw_blocks()`. Please note, the UEFI firmware didn’t initialize the DP connected monitor correctly and the framebuffer was just black until amdgpu loaded. Please tell me, if I should create a separate bug for that.
Comment 2 Ian 2018-08-19 20:35:46 UTC
I'm seeing a very similar dmesg trace with a 2400G on kernel 4.18.1-arch1-1-ARCH: https://pastebin.com/raw/7CAXdXkD
Comment 3 Ian 2018-08-21 02:12:52 UTC
Huh, I've discovered that I can only reproduce this on Wayland. Are you getting these messages on X.org at all?
Comment 4 Elie B 2018-09-03 17:58:22 UTC
I am also getting a similar error only when using Wayland. When switching to Xorg I no longer get it.

So is an issue related to Wayland or is it just because Wayland may use a mechanism that Xorg don't?
Comment 5 Zheng Luo 2018-09-16 05:41:32 UTC
This also happens on my laptop with AMD 2500U, gnome on wayland and kernel 4.18.7-arch1.
Comment 6 Zheng Luo 2018-09-16 20:20:33 UTC
Created attachment 141592 [details]
4.18.7-arch with 2500U messages
Comment 7 Ian 2018-09-29 21:02:58 UTC
I've noticed that I can deterministically create these error messages upon locking my screen and thus allowing my monitor to go into power-save mode.

Sometimes, my resolution also goes to 1024×768 on wake, which is irreversible unless I reboot. Not sure if that's related to this bug.

Oh, and of course, both of the above are on Wayland only.
Comment 8 Vedran Miletić 2018-10-15 17:21:28 UTC
I get these errors on Ryzen 7 2700U

03:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series] [1002:15dd] (rev c3) (prog-if 00 [VGA controller])
        Subsystem: Acer Incorporated [ALI] Device [1025:1259]
        Flags: bus master, fast devsel, latency 0, IRQ 54
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Memory at e0000000 (64-bit, prefetchable) [size=2M]
        I/O ports at 1000 [size=256]
        Memory at e0800000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: <access denied>
        Kernel driver in use: amdgpu
        Kernel modules: amdgpu

when running Valley.
Comment 9 Kent Ross 2018-10-28 20:21:42 UTC
I am encountering this repeatedly, somewhere north of half of the times my computer attempts to resume from sleep (and I believe sometimes when it cold-boots). In a later attempt to resume from sleep, this happened ten times.

This bug will also occur sometimes when displays attach or detach (such as a display that is unplugged, or a display that is servicing another input, and goes to sleep because that input has gone away).

[   21.553939] RIP: 0010:generic_reg_wait+0xe4/0x160 [amdgpu]
[   21.553939] Code: a9 44 8b 45 20 48 8b 4d 18 89 de 44 89 4d d4 8b 55 10 48 c7 c7 d0 93 73 c0 e8 28 57 d3 ff 41 83 7c 24 20 01 44 8b 4d d4 74 02 <0f> 0b 48 83 c4 18 44 89 c8 5b 41 5c 41 5d 41 5e 41 5f 5d c3 41 0f 
[   21.553954] RSP: 0018:ffffbf470acc3848 EFLAGS: 00010297
[   21.553954] RAX: 0000000000000000 RBX: 000000000000000a RCX: 0000000000000000
[   21.553955] RDX: 0000000000000000 RSI: ffff9f3edf5564b8 RDI: ffff9f3edf5564b8
[   21.553955] RBP: ffffbf470acc3888 R08: 0000000000087364 R09: 0000000000000000
[   21.553956] R10: 0000000000000004 R11: ffffffffbb58480d R12: ffff9f3ed67e9f00
[   21.553956] R13: 0000000000001771 R14: 0000000000000010 R15: 0000000000000001
[   21.553957] FS:  00007f1f05dcda80(0000) GS:ffff9f3edf540000(0000) knlGS:0000000000000000
[   21.553958] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   21.553958] CR2: 00007f1efc343600 CR3: 00000015f0a5e004 CR4: 00000000003606e0
[   21.553959] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   21.553959] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[   21.553959] Call Trace:
[   21.553984]  dce_mi_allocate_dmif+0xf9/0x220 [amdgpu]
[   21.554007]  dce110_apply_ctx_for_surface+0xfa/0x270 [amdgpu]
[   21.554029]  dc_commit_state+0x395/0x5b0 [amdgpu]
[   21.554050]  ? mod_freesync_set_user_enable+0x11c/0x150 [amdgpu]
[   21.554073]  amdgpu_dm_atomic_commit_tail+0x37f/0xe40 [amdgpu]
[   21.554076]  ? _cond_resched+0x19/0x30
[   21.554077]  ? wait_for_completion_timeout+0x38/0x140
[   21.554078]  ? _cond_resched+0x19/0x30
[   21.554079]  ? wait_for_completion_interruptible+0x35/0x1a0
[   21.554086]  commit_tail+0x42/0x70 [drm_kms_helper]
[   21.554089]  drm_atomic_helper_commit+0x113/0x120 [drm_kms_helper]
[   21.554112]  amdgpu_dm_atomic_commit+0x87/0xa0 [amdgpu]
[   21.554123]  drm_atomic_commit+0x4a/0x50 [drm]
[   21.554126]  drm_atomic_helper_set_config+0x87/0x90 [drm_kms_helper]
[   21.554131]  __drm_mode_set_config_internal+0x6b/0x120 [drm]
[   21.554136]  drm_mode_setcrtc+0x498/0x6d0 [drm]
[   21.554151]  ? amdgpu_cs_wait_ioctl+0xa9/0x170 [amdgpu]
[   21.554156]  ? drm_mode_getcrtc+0x190/0x190 [drm]
[   21.554160]  drm_ioctl_kernel+0xa4/0xf0 [drm]
[   21.554164]  drm_ioctl+0x227/0x400 [drm]
[   21.554169]  ? drm_mode_getcrtc+0x190/0x190 [drm]
[   21.554182]  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
[   21.554184]  do_vfs_ioctl+0xa8/0x620
[   21.554186]  ? do_munmap+0x349/0x440
[   21.554187]  ksys_ioctl+0x67/0x90
[   21.554188]  __x64_sys_ioctl+0x1a/0x20
[   21.554190]  do_syscall_64+0x5a/0x110
[   21.554191]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   21.554192] RIP: 0033:0x7f1f071043c7
[   21.554192] Code: 00 00 90 48 8b 05 c9 3a 0d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 99 3a 0d 00 f7 d8 64 89 01 48 
[   21.554206] RSP: 002b:00007ffe64817b18 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[   21.554207] RAX: ffffffffffffffda RBX: 00007ffe64817b50 RCX: 00007f1f071043c7
[   21.554207] RDX: 00007ffe64817b50 RSI: 00000000c06864a2 RDI: 000000000000000c
[   21.554208] RBP: 00007ffe64817b50 R08: 0000000000000000 R09: 000055d0967eec00
[   21.554208] R10: 00007ffe64817c10 R11: 0000000000000246 R12: 00000000c06864a2
[   21.554209] R13: 000000000000000c R14: 0000000000000000 R15: 000055d0967eec00
[   21.554210] ---[ end trace 0011653d2c2adca5 ]---
Comment 10 Brad 2018-11-08 04:10:47 UTC
Getting a similar error (AMD Ryzen 1700 with Radeon RX 550 with ASUS Prime B450  plus motherboard).

---
Nov 07 19:50:39 phoenix kernel: ata2: softreset failed (device not ready)
Nov 07 19:50:44 phoenix kernel: ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
Nov 07 19:50:44 phoenix kernel: sd 1:0:0:0: [sdb] Start/Stop Unit failed: Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK
Nov 07 19:50:48 phoenix kernel: [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - dce110_stream_encoder_dp_blank line:927
Nov 07 19:50:48 phoenix kernel: WARNING: CPU: 15 PID: 3598 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:254 generic_reg_wait+0xe4/0x160 [amdgpu]
Nov 07 19:50:48 phoenix kernel: Modules linked in: rfcomm pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE iptable_nat nf_nat_
Nov 07 19:50:48 phoenix kernel:  ccp mac_hid sch_fq_codel parport_pc ppdev lp parport sunrpc ip_tables x_tables autofs4 btrfs xor zstd_compress raid6_pq libcrc32c algif_skcipher af_alg d
Nov 07 19:50:48 phoenix kernel: CPU: 15 PID: 3598 Comm: gnome-shell Tainted: G        W  OE     4.18.0-10-generic #11-Ubuntu
Nov 07 19:50:48 phoenix kernel: Hardware name: System manufacturer System Product Name/PRIME B450-PLUS, BIOS 0409 08/24/2018
Nov 07 19:50:48 phoenix kernel: RIP: 0010:generic_reg_wait+0xe4/0x160 [amdgpu]
Nov 07 19:50:48 phoenix kernel: Code: a9 44 8b 45 20 48 8b 4d 18 89 de 44 89 4d d4 8b 55 10 48 c7 c7 d0 b3 b2 c0 e8 28 c7 a8 ff 41 83 7c 24 20 01 44 8b 4d d4 74 02 <0f> 0b 48 83 c4 18 44
Nov 07 19:50:48 phoenix kernel: RSP: 0018:ffffbe084338f798 EFLAGS: 00010297
Nov 07 19:50:48 phoenix kernel: RAX: 0000000000000000 RBX: 000000000000000a RCX: 0000000000000000
Nov 07 19:50:48 phoenix kernel: RDX: 0000000000000000 RSI: ffffa0a21efd64b8 RDI: ffffa0a21efd64b8
Nov 07 19:50:48 phoenix kernel: RBP: ffffbe084338f7d8 R08: 000000000005e2a3 R09: 0000000000010200
Nov 07 19:50:48 phoenix kernel: R10: 0000000000000004 R11: ffffffffab78480d R12: ffffa0a1fe838000
Nov 07 19:50:48 phoenix kernel: R13: 0000000000000bb9 R14: 0000000000010000 R15: 0000000000000000
Nov 07 19:50:48 phoenix kernel: FS:  00007fd746c48400(0000) GS:ffffa0a21efc0000(0000) knlGS:0000000000000000
Nov 07 19:50:48 phoenix kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Nov 07 19:50:48 phoenix kernel: CR2: 0000286ba76df9e0 CR3: 00000003d05a6000 CR4: 00000000003406e0
Nov 07 19:50:48 phoenix kernel: Call Trace:
Nov 07 19:50:48 phoenix kernel:  dce110_stream_encoder_dp_blank+0x12f/0x1a0 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  dce110_blank_stream+0x57/0x90 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  core_link_disable_stream+0x57/0x220 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  dce110_reset_hw_ctx_wrap+0xcd/0x1e0 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  ? pp_dpm_dispatch_tasks+0x48/0x60 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  dce110_apply_ctx_to_hw+0x52/0xa30 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  ? amdgpu_pm_compute_clocks+0x17/0x20 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  ? pplib_apply_display_requirements+0x1c3/0x1d0 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  ? dce110_set_bandwidth+0x1d2/0x200 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  dc_commit_state+0x306/0x5b0 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  ? drm_calc_timestamping_constants+0x109/0x150 [drm]
Nov 07 19:50:48 phoenix kernel:  amdgpu_dm_atomic_commit_tail+0x37f/0xe40 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  ? _cond_resched+0x19/0x30
Nov 07 19:50:48 phoenix kernel:  ? wait_for_completion_timeout+0x38/0x140
Nov 07 19:50:48 phoenix kernel:  ? _cond_resched+0x19/0x30
Nov 07 19:50:48 phoenix kernel:  ? wait_for_completion_interruptible+0x35/0x1a0
Nov 07 19:50:48 phoenix kernel:  commit_tail+0x42/0x70 [drm_kms_helper]
Nov 07 19:50:48 phoenix kernel:  drm_atomic_helper_commit+0x113/0x120 [drm_kms_helper]
Nov 07 19:50:48 phoenix kernel:  amdgpu_dm_atomic_commit+0x87/0xa0 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  drm_atomic_commit+0x4a/0x50 [drm]
Nov 07 19:50:48 phoenix kernel:  drm_atomic_connector_commit_dpms+0xe0/0x100 [drm]
Nov 07 19:50:48 phoenix kernel:  drm_mode_obj_set_property_ioctl+0x187/0x2b0 [drm]
Nov 07 19:50:48 phoenix kernel:  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
Nov 07 19:50:48 phoenix kernel:  drm_ioctl_kernel+0xa4/0xf0 [drm]
Nov 07 19:50:48 phoenix kernel:  drm_ioctl+0x227/0x400 [drm]
Nov 07 19:50:48 phoenix kernel:  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
Nov 07 19:50:48 phoenix kernel:  amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
Nov 07 19:50:48 phoenix kernel:  do_vfs_ioctl+0xa8/0x620
Nov 07 19:50:48 phoenix kernel:  ksys_ioctl+0x67/0x90
Nov 07 19:50:48 phoenix kernel:  __x64_sys_ioctl+0x1a/0x20
Nov 07 19:50:48 phoenix kernel:  do_syscall_64+0x5a/0x110
Nov 07 19:50:48 phoenix kernel:  entry_SYSCALL_64_after_hwframe+0x44/0xa9
Nov 07 19:50:48 phoenix kernel: RIP: 0033:0x7fd7518d23c7
Nov 07 19:50:48 phoenix kernel: Code: 00 00 90 48 8b 05 c9 3a 0d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73
Nov 07 19:50:48 phoenix kernel: RSP: 002b:00007ffc4956e528 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Nov 07 19:50:48 phoenix kernel: RAX: ffffffffffffffda RBX: 00005567d4e163e0 RCX: 00007fd7518d23c7
Nov 07 19:50:48 phoenix kernel: RDX: 00007ffc4956e560 RSI: 00000000c01864ba RDI: 000000000000000b
Nov 07 19:50:48 phoenix kernel: RBP: 00007ffc4956e560 R08: 0000000000000003 R09: 00005567d4e23930
Nov 07 19:50:48 phoenix kernel: R10: 00005567d4e12778 R11: 0000000000000246 R12: 00000000c01864ba
Nov 07 19:50:48 phoenix kernel: R13: 000000000000000b R14: 00007ffc4956e760 R15: 00007fd75268e8d0
Nov 07 19:50:48 phoenix kernel: ---[ end trace 0f20eacb3142b4af ]---
Comment 11 Brad 2018-11-08 04:13:40 UTC
To add to my previous comment, this tends to happen when:

1) Resuming from suspend

2) Automatically powering the monitors back on even if the computer had not suspended (e.g., after turning off due to powersave)

This is on Cosmic Cuttlefish. This happens both on xorg or wayland. Under xorg, I am also experiencing a very strange issue where the computer will wake up from suspend, display the Gnome lockscreen for 10 seconds but ignore my input (e.g., keyboard or mouse), then power the monitors back off. Then, after a minute or two, the monitors power back on and allow me to enter my password (assuming that the computer doesn't freeze due to this amdgpu issue).
Comment 12 Alex Deucher 2019-01-01 19:43:14 UTC
Depending on your configuration, it may be fixed with this patch:
https://cgit.freedesktop.org/drm/drm/commit/?id=8c9d90eebd23b6d40ddf4ce5df5ca2b932336a06
Comment 13 Paul Menzel 2019-01-19 10:40:00 UTC
No, it’s not fixed, and is still happening with Linux 5.0-rc2+. :(

[ 4541.016791] [drm] REG_WAIT timeout 1us * 10 tries - optc1_lock line:606
[ 4541.016840] WARNING: CPU: 3 PID: 879 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:249 generic_reg_wait.cold.3+0x2a/0x31 [amdgpu]
[ 4541.016841] Modules linked in: nls_utf8 udf crc_itu_t fuse snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi crct10dif_pclmul crc32_pclmul snd_hda_intel ghash_clmulni_intel snd_hda_codec snd_hda_core k10temp usb_storage snd_hwdep i2c_piix4 snd_pcm amdgpu snd_timer snd soundcore chash gpu_sched r8169 realtek wmi video pcc_cpufreq acpi_cpufreq crc32c_intel xhci_pci xhci_hcd
[ 4541.016851] CPU: 3 PID: 879 Comm: gnome-shell Tainted: G        W         5.0.0-rc2-00253-g2c37e7ae7a69 #1
[ 4541.016852] Hardware name: Micro-Star International Co., Ltd. MS-7A37/B350M MORTAR (MS-7A37), BIOS 1.I0 11/06/2018
[ 4541.016881] RIP: 0010:generic_reg_wait.cold.3+0x2a/0x31 [amdgpu]
[ 4541.016882] Code: 44 8b 44 24 68 48 8b 4c 24 60 48 c7 c7 98 85 5b c0 8b 54 24 58 8b 74 24 04 e8 05 db bd cf 41 83 7c 24 20 01 0f 84 ec ea fe ff <0f> 0b e9 e5 ea fe ff e8 cf 4a ef ff 48 c7 c7 00 d0 63 c0 e8 b3 a1
[ 4541.016883] RSP: 0018:ffffba2c822679a8 EFLAGS: 00010297
[ 4541.016884] RAX: 000000000000003b RBX: 000000000000000b RCX: 0000000000000000
[ 4541.016885] RDX: 0000000000000000 RSI: ffff9f8390ad5508 RDI: ffff9f8390ad5508
[ 4541.016885] RBP: 000000000000504d R08: 0000000000000409 R09: 0000000000000004
[ 4541.016886] R10: 0000000000000000 R11: 0000000000000001 R12: ffff9f83846ab8c0
[ 4541.016886] R13: ffff9f8376f04800 R14: 0000000000000001 R15: 0000000000000100
[ 4541.016887] FS:  00007f7860767cc0(0000) GS:ffff9f8390ac0000(0000) knlGS:0000000000000000
[ 4541.016888] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 4541.016888] CR2: 0000365b31df7ea0 CR3: 00000003e5b86000 CR4: 00000000003406e0
[ 4541.016889] Call Trace:
[ 4541.016922]  optc1_lock+0xa0/0xb0 [amdgpu]
[ 4541.016955]  dcn10_pipe_control_lock.part.18+0x4a/0x70 [amdgpu]
[ 4541.016986]  dcn10_apply_ctx_for_surface+0xc9/0x5c0 [amdgpu]
[ 4541.017016]  dc_commit_state+0x25a/0x530 [amdgpu]
[ 4541.017019]  ? __save_stack_trace+0x92/0x100
[ 4541.017051]  amdgpu_dm_atomic_commit_tail+0x1ed/0xb80 [amdgpu]
[ 4541.017074]  ? amdgpu_bo_pin_restricted+0x60/0x280 [amdgpu]
[ 4541.017077]  ? _cond_resched+0x15/0x30
[ 4541.017078]  ? wait_for_completion_interruptible+0x35/0x1b0
[ 4541.017080]  commit_tail+0x3d/0x70
[ 4541.017082]  drm_atomic_helper_commit+0x103/0x110
[ 4541.017084]  drm_atomic_connector_commit_dpms+0xdb/0x100
[ 4541.017085]  drm_mode_obj_set_property_ioctl+0x184/0x2b0
[ 4541.017087]  ? import_iovec+0x52/0xb0
[ 4541.017088]  ? drm_mode_obj_find_prop_id+0x40/0x40
[ 4541.017089]  drm_ioctl_kernel+0xa9/0xf0
[ 4541.017091]  drm_ioctl+0x201/0x3a0
[ 4541.017092]  ? drm_mode_obj_find_prop_id+0x40/0x40
[ 4541.017093]  ? __switch_to_asm+0x40/0x70
[ 4541.017093]  ? __switch_to_asm+0x34/0x70
[ 4541.017094]  ? __switch_to_asm+0x34/0x70
[ 4541.017095]  ? __switch_to_asm+0x40/0x70
[ 4541.017096]  ? __switch_to_asm+0x34/0x70
[ 4541.017096]  ? __switch_to_asm+0x40/0x70
[ 4541.017097]  ? __switch_to_asm+0x34/0x70
[ 4541.017119]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[ 4541.017122]  do_vfs_ioctl+0xa4/0x630
[ 4541.017123]  ksys_ioctl+0x60/0x90
[ 4541.017124]  __x64_sys_ioctl+0x16/0x20
[ 4541.017126]  do_syscall_64+0x55/0x170
[ 4541.017127]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[ 4541.017128] RIP: 0033:0x7f786899a747
[ 4541.017129] Code: 00 00 90 48 8b 05 49 a7 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 19 a7 0c 00 f7 d8 64 89 01 48
[ 4541.017130] RSP: 002b:00007ffeb4364898 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[ 4541.017131] RAX: ffffffffffffffda RBX: 000055660a6f4240 RCX: 00007f786899a747
[ 4541.017131] RDX: 00007ffeb43648d0 RSI: 00000000c01864ba RDI: 0000000000000009
[ 4541.017132] RBP: 00007ffeb43648d0 R08: 0000000000000000 R09: 000055660a6baf90
[ 4541.017132] R10: 000055660a6f0748 R11: 0000000000000246 R12: 00000000c01864ba
[ 4541.017133] R13: 0000000000000009 R14: 00007ffeb4364ad0 R15: 00007f786978da20
[ 4541.017134] ---[ end trace 8f89d4a6d6deffdf ]---
[ 5053.897046] kmemleak: 31 new suspected memory leaks (see /sys/kernel/debug/kmemleak)
[ 5676.460277] kmemleak: 701 new suspected memory leaks (see /sys/kernel/debug/kmemleak)
[ 5983.816137] [drm] REG_WAIT timeout 1us * 10 tries - optc1_lock line:606
[ 5983.816186] WARNING: CPU: 1 PID: 879 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:249 generic_reg_wait.cold.3+0x2a/0x31 [amdgpu]
[ 5983.816186] Modules linked in: nls_utf8 udf crc_itu_t fuse snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi crct10dif_pclmul crc32_pclmul snd_hda_intel ghash_clmulni_intel snd_hda_codec snd_hda_core k10temp usb_storage snd_hwdep i2c_piix4 snd_pcm amdgpu snd_timer snd soundcore chash gpu_sched r8169 realtek wmi video pcc_cpufreq acpi_cpufreq crc32c_intel xhci_pci xhci_hcd
[ 5983.816196] CPU: 1 PID: 879 Comm: gnome-shell Tainted: G        W         5.0.0-rc2-00253-g2c37e7ae7a69 #1
[ 5983.816197] Hardware name: Micro-Star International Co., Ltd. MS-7A37/B350M MORTAR (MS-7A37), BIOS 1.I0 11/06/2018
[ 5983.816226] RIP: 0010:generic_reg_wait.cold.3+0x2a/0x31 [amdgpu]
[ 5983.816227] Code: 44 8b 44 24 68 48 8b 4c 24 60 48 c7 c7 98 85 5b c0 8b 54 24 58 8b 74 24 04 e8 05 db bd cf 41 83 7c 24 20 01 0f 84 ec ea fe ff <0f> 0b e9 e5 ea fe ff e8 cf 4a ef ff 48 c7 c7 00 d0 63 c0 e8 b3 a1
[ 5983.816228] RSP: 0018:ffffba2c822679a8 EFLAGS: 00010297
[ 5983.816229] RAX: 000000000000003b RBX: 000000000000000b RCX: 0000000000000000
[ 5983.816230] RDX: 0000000000000000 RSI: ffff9f8390a55508 RDI: ffff9f8390a55508
[ 5983.816230] RBP: 000000000000504d R08: 0000000000000444 R09: 0000000000000004
[ 5983.816231] R10: 0000000000000000 R11: 0000000000000001 R12: ffff9f83846ab8c0
[ 5983.816231] R13: ffff9f8384691000 R14: 0000000000000001 R15: 0000000000000100
[ 5983.816232] FS:  00007f7860767cc0(0000) GS:ffff9f8390a40000(0000) knlGS:0000000000000000
[ 5983.816233] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 5983.816233] CR2: 0000365b31e02c60 CR3: 00000003e5b86000 CR4: 00000000003406e0
[ 5983.816234] Call Trace:
[ 5983.816268]  optc1_lock+0xa0/0xb0 [amdgpu]
[ 5983.816301]  dcn10_pipe_control_lock.part.18+0x4a/0x70 [amdgpu]
[ 5983.816333]  dcn10_apply_ctx_for_surface+0xc9/0x5c0 [amdgpu]
[ 5983.816362]  dc_commit_state+0x25a/0x530 [amdgpu]
[ 5983.816365]  ? __save_stack_trace+0x92/0x100
[ 5983.816397]  amdgpu_dm_atomic_commit_tail+0x1ed/0xb80 [amdgpu]
[ 5983.816421]  ? amdgpu_bo_pin_restricted+0x60/0x280 [amdgpu]
[ 5983.816423]  ? _cond_resched+0x15/0x30
[ 5983.816425]  ? wait_for_completion_interruptible+0x35/0x1b0
[ 5983.816427]  commit_tail+0x3d/0x70
[ 5983.816428]  drm_atomic_helper_commit+0x103/0x110
[ 5983.816431]  drm_atomic_connector_commit_dpms+0xdb/0x100
[ 5983.816432]  drm_mode_obj_set_property_ioctl+0x184/0x2b0
[ 5983.816434]  ? import_iovec+0x52/0xb0
[ 5983.816435]  ? drm_mode_obj_find_prop_id+0x40/0x40
[ 5983.816436]  drm_ioctl_kernel+0xa9/0xf0
[ 5983.816437]  drm_ioctl+0x201/0x3a0
[ 5983.816438]  ? drm_mode_obj_find_prop_id+0x40/0x40
[ 5983.816440]  ? eventfd_read+0xc6/0x250
[ 5983.816463]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[ 5983.816465]  do_vfs_ioctl+0xa4/0x630
[ 5983.816466]  ksys_ioctl+0x60/0x90
[ 5983.816468]  ? ksys_read+0x9c/0xb0
[ 5983.816469]  __x64_sys_ioctl+0x16/0x20
[ 5983.816471]  do_syscall_64+0x55/0x170
[ 5983.816472]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[ 5983.816473] RIP: 0033:0x7f786899a747
[ 5983.816474] Code: 00 00 90 48 8b 05 49 a7 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 19 a7 0c 00 f7 d8 64 89 01 48
[ 5983.816475] RSP: 002b:00007ffeb4364898 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[ 5983.816475] RAX: ffffffffffffffda RBX: 000055660a6f4240 RCX: 00007f786899a747
[ 5983.816476] RDX: 00007ffeb43648d0 RSI: 00000000c01864ba RDI: 0000000000000009
[ 5983.816476] RBP: 00007ffeb43648d0 R08: 0000000000000000 R09: 000055660a6baf90
[ 5983.816477] R10: 000055660a6f0748 R11: 0000000000000246 R12: 00000000c01864ba
[ 5983.816477] R13: 0000000000000009 R14: 00007ffeb4364ad0 R15: 00007f786978da20
[ 5983.816479] ---[ end trace 8f89d4a6d6deffe0 ]---
[ 6014.670181] [drm] REG_WAIT timeout 1us * 10 tries - optc1_lock line:606
[ 6014.670229] WARNING: CPU: 0 PID: 879 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:249 generic_reg_wait.cold.3+0x2a/0x31 [amdgpu]
[ 6014.670230] Modules linked in: nls_utf8 udf crc_itu_t fuse snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi crct10dif_pclmul crc32_pclmul snd_hda_intel ghash_clmulni_intel snd_hda_codec snd_hda_core k10temp usb_storage snd_hwdep i2c_piix4 snd_pcm amdgpu snd_timer snd soundcore chash gpu_sched r8169 realtek wmi video pcc_cpufreq acpi_cpufreq crc32c_intel xhci_pci xhci_hcd
[ 6014.670240] CPU: 0 PID: 879 Comm: gnome-shell Tainted: G        W         5.0.0-rc2-00253-g2c37e7ae7a69 #1
[ 6014.670241] Hardware name: Micro-Star International Co., Ltd. MS-7A37/B350M MORTAR (MS-7A37), BIOS 1.I0 11/06/2018
[ 6014.670271] RIP: 0010:generic_reg_wait.cold.3+0x2a/0x31 [amdgpu]
[ 6014.670272] Code: 44 8b 44 24 68 48 8b 4c 24 60 48 c7 c7 98 85 5b c0 8b 54 24 58 8b 74 24 04 e8 05 db bd cf 41 83 7c 24 20 01 0f 84 ec ea fe ff <0f> 0b e9 e5 ea fe ff e8 cf 4a ef ff 48 c7 c7 00 d0 63 c0 e8 b3 a1
[ 6014.670273] RSP: 0018:ffffba2c822679a8 EFLAGS: 00010297
[ 6014.670274] RAX: 000000000000003b RBX: 000000000000000b RCX: 0000000000000000
[ 6014.670274] RDX: 0000000000000000 RSI: ffff9f8390a15508 RDI: ffff9f8390a15508
[ 6014.670275] RBP: 000000000000504d R08: 0000000000000478 R09: 0000000000000004
[ 6014.670275] R10: 0000000000000000 R11: 0000000000000001 R12: ffff9f83846ab8c0
[ 6014.670276] R13: ffff9f836643bc00 R14: 0000000000000001 R15: 0000000000000100
[ 6014.670277] FS:  00007f7860767cc0(0000) GS:ffff9f8390a00000(0000) knlGS:0000000000000000
[ 6014.670278] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 6014.670278] CR2: 00007f785f18500c CR3: 00000003e5b86000 CR4: 00000000003406f0
[ 6014.670278] Call Trace:
[ 6014.670312]  optc1_lock+0xa0/0xb0 [amdgpu]
[ 6014.670345]  dcn10_pipe_control_lock.part.18+0x4a/0x70 [amdgpu]
[ 6014.670377]  dcn10_apply_ctx_for_surface+0xc9/0x5c0 [amdgpu]
[ 6014.670406]  dc_commit_state+0x25a/0x530 [amdgpu]
[ 6014.670409]  ? __save_stack_trace+0x92/0x100
[ 6014.670441]  amdgpu_dm_atomic_commit_tail+0x1ed/0xb80 [amdgpu]
[ 6014.670465]  ? amdgpu_bo_pin_restricted+0x60/0x280 [amdgpu]
[ 6014.670467]  ? _cond_resched+0x15/0x30
[ 6014.670469]  ? wait_for_completion_interruptible+0x35/0x1b0
[ 6014.670471]  commit_tail+0x3d/0x70
[ 6014.670472]  drm_atomic_helper_commit+0x103/0x110
[ 6014.670474]  drm_atomic_connector_commit_dpms+0xdb/0x100
[ 6014.670476]  drm_mode_obj_set_property_ioctl+0x184/0x2b0
[ 6014.670478]  ? import_iovec+0x52/0xb0
[ 6014.670479]  ? drm_mode_obj_find_prop_id+0x40/0x40
[ 6014.670481]  drm_ioctl_kernel+0xa9/0xf0
[ 6014.670482]  drm_ioctl+0x201/0x3a0
[ 6014.670483]  ? drm_mode_obj_find_prop_id+0x40/0x40
[ 6014.670485]  ? eventfd_read+0xc6/0x250
[ 6014.670507]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[ 6014.670509]  do_vfs_ioctl+0xa4/0x630
[ 6014.670510]  ksys_ioctl+0x60/0x90
[ 6014.670512]  ? ksys_read+0x9c/0xb0
[ 6014.670513]  __x64_sys_ioctl+0x16/0x20
[ 6014.670515]  do_syscall_64+0x55/0x170
[ 6014.670516]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[ 6014.670517] RIP: 0033:0x7f786899a747
[ 6014.670518] Code: 00 00 90 48 8b 05 49 a7 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 19 a7 0c 00 f7 d8 64 89 01 48
[ 6014.670519] RSP: 002b:00007ffeb4364898 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[ 6014.670520] RAX: ffffffffffffffda RBX: 000055660a6f4240 RCX: 00007f786899a747
[ 6014.670520] RDX: 00007ffeb43648d0 RSI: 00000000c01864ba RDI: 0000000000000009
[ 6014.670521] RBP: 00007ffeb43648d0 R08: 0000000000000000 R09: 000055660a6baf90
[ 6014.670521] R10: 000055660a6f0748 R11: 0000000000000246 R12: 00000000c01864ba
[ 6014.670522] R13: 0000000000000009 R14: 00007ffeb4364ad0 R15: 00007f786978da20
[ 6014.670523] ---[ end trace 8f89d4a6d6deffe1 ]---

Do the AMD developers have access to such devices to reproduce this? Is there a QA process?
Comment 14 raxondmc 2019-02-04 05:15:12 UTC
hey, 

 give the following patches a try : 

8c9d90eebd23b6d40ddf4ce5df5ca2b932336a06 , it helped me (MST but works for SST) 

- Raxondmc
Comment 15 raxondmc 2019-02-04 05:15:22 UTC
hey, 

 give the following patches a try : 

8c9d90eebd23b6d40ddf4ce5df5ca2b932336a06 , it helped me (MST but works for SST) 

- Raxondmc
Comment 16 Zheng Luo 2019-02-08 03:40:59 UTC
The problem is still not fixed and happens frequently at hibernation/shutdown. Even worse, it seems to corrupt the firmware that the machine sometimes refuse to boot (black screen, only caps lock on, fans spinning, no response to any key, no beep) even after a hard power off.

Model: Thinkpad E585, AMD 2500U, kernel 5.0.0-rc5-arch

Feb 07 13:52:06 lzThinkpad kernel: ACPI: EC: interrupt unblocked
Feb 07 13:52:06 lzThinkpad kernel: ACPI: EC: event unblocked
Feb 07 13:52:06 lzThinkpad kernel: [drm] PCIE GART of 1024M enabled (table at 0x000000F40FC60000).
Feb 07 13:52:06 lzThinkpad kernel: [drm] PSP is resuming...
Feb 07 13:52:06 lzThinkpad kernel: [drm] reserve 0x400000 from 0xf400b00000 for PSP TMR SIZE
Feb 07 13:52:06 lzThinkpad kernel: ath10k_pci 0000:04:00.0: unsupported HTC service id: 1536
Feb 07 13:52:06 lzThinkpad kernel: WARNING: CPU: 4 PID: 6297 at drivers/net/wireless/ath/ath10k/mac.c:5708 ath10k_bss_info_changed+0xfb7/0x1120 [ath10k_core]
Feb 07 13:52:06 lzThinkpad kernel: Modules linked in: ccm fuse joydev mousedev uvcvideo btusb btrtl btbcm videobuf2_vmalloc btintel videobuf2_memops videobuf2_v4l2 bluetooth videobuf2_common videodev media ecdh_generic nls_iso8859_1 nls_cp437 vfat fat arc4 amdgpu edac_mce_amd kvm_amd ccp kvm irqbypass wmi_bmof ath10k_pci ath10k_core crct10dif_pclmul crc32_pclmul ghash_clmulni_intel chash ath snd_hda_codec_conexant amd_iommu_v2 snd_hda_codec_generic gpu_sched snd_hda_codec_hdmi i2c_algo_bit mac80211 ttm snd_hda_intel drm_kms_helper aesni_intel snd_hda_codec aes_x86_64 crypto_simd cryptd glue_helper psmouse drm pcspkr input_leds snd_hda_core k10temp cfg80211 snd_hwdep thinkpad_acpi snd_pcm sp5100_tco agpgart syscopyarea sysfillrect i2c_piix4 snd_timer sysimgblt tpm_crb fb_sys_fops nvram ledtrig_audio ucsi_acpi r8169 rfkill snd typec_ucsi realtek libphy typec wmi soundcore battery ac tpm_tis tpm_tis_core evdev tpm i2c_scmi mac_hid rng_core pcc_cpufreq acpi_cpufreq vboxnetflt(OE) vboxnetadp(OE) vboxpci(OE)
Feb 07 13:52:06 lzThinkpad kernel:  vboxdrv(OE) sg crypto_user acpi_call(OE) ip_tables x_tables ext4 crc32c_generic crc16 mbcache jbd2 fscrypto sd_mod serio_raw atkbd libps2 crc32c_intel ahci libahci libata sdhci_pci xhci_pci scsi_mod cqhci xhci_hcd sdhci mmc_core i8042 serio
Feb 07 13:52:06 lzThinkpad kernel: CPU: 4 PID: 6297 Comm: kworker/u32:36 Tainted: G        W  OE     5.0.0-rc5-mainline #1
Feb 07 13:52:06 lzThinkpad kernel: Hardware name: LENOVO 20KVCTO1WW/20KVCTO1WW, BIOS R0UET65W (1.45 ) 09/29/2018
Feb 07 13:52:06 lzThinkpad kernel: Workqueue: events_unbound async_run_entry_fn
Feb 07 13:52:06 lzThinkpad kernel: RIP: 0010:ath10k_bss_info_changed+0xfb7/0x1120 [ath10k_core]
Feb 07 13:52:06 lzThinkpad kernel: Code: bf 68 00 00 e9 a5 f1 ff ff 0f 0b 4c 89 f7 e8 40 a5 62 e4 e9 ff f3 ff ff b8 40 00 00 00 e9 65 f5 ff ff 8b 95 78 01 00 00 eb c4 <0f> 0b e9 02 f3 ff ff 89 c2 48 c7 c6 38 95 a5 c0 4c 89 cf 89 04 24
Feb 07 13:52:06 lzThinkpad kernel: RSP: 0018:ffffa8eec971fcd0 EFLAGS: 00010282
Feb 07 13:52:06 lzThinkpad kernel: RAX: 00000000fffffffe RBX: ffffa1857acd15a0 RCX: 0000000000000000
Feb 07 13:52:06 lzThinkpad kernel: RDX: ffffa1857acd1938 RSI: ffffa8eec971fcf0 RDI: ffffa1857cd25418
Feb 07 13:52:06 lzThinkpad kernel: RBP: ffffa1857cd25418 R08: 0000000000000001 R09: 0000000000000000
Feb 07 13:52:06 lzThinkpad kernel: R10: 000000000000001f R11: 0000000000000000 R12: 00000000020674ff
Feb 07 13:52:06 lzThinkpad kernel: R13: ffffa1857cd25420 R14: ffffa1857acd2598 R15: ffffa1857acd15a0
Feb 07 13:52:06 lzThinkpad kernel: FS:  0000000000000000(0000) GS:ffffa1857f100000(0000) knlGS:0000000000000000
Feb 07 13:52:06 lzThinkpad kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Feb 07 13:52:06 lzThinkpad kernel: CR2: 0000000000000000 CR3: 0000000437912000 CR4: 00000000003406e0
Feb 07 13:52:06 lzThinkpad kernel: Call Trace:
Feb 07 13:52:06 lzThinkpad kernel:  ? ath10k_conf_tx+0x7a/0x4b0 [ath10k_core]
Feb 07 13:52:06 lzThinkpad kernel:  ieee80211_bss_info_change_notify+0xb5/0x1c0 [mac80211]
Feb 07 13:52:06 lzThinkpad kernel:  ieee80211_reconfig+0x6c3/0x14d0 [mac80211]
Feb 07 13:52:06 lzThinkpad kernel:  ? preempt_count_add+0x79/0xb0
Feb 07 13:52:06 lzThinkpad kernel:  wiphy_resume+0x7f/0x150 [cfg80211]
Feb 07 13:52:06 lzThinkpad kernel:  ? wiphy_namespace+0x10/0x10 [cfg80211]
Feb 07 13:52:06 lzThinkpad kernel:  dpm_run_callback+0x59/0x180
Feb 07 13:52:06 lzThinkpad kernel:  device_resume+0xac/0x1f0
Feb 07 13:52:06 lzThinkpad kernel:  async_resume+0x19/0x30
Feb 07 13:52:06 lzThinkpad kernel:  async_run_entry_fn+0x37/0x140
Feb 07 13:52:06 lzThinkpad kernel:  process_one_work+0x1eb/0x410
Feb 07 13:52:06 lzThinkpad kernel:  worker_thread+0x2d/0x3d0
Feb 07 13:52:06 lzThinkpad kernel:  ? process_one_work+0x410/0x410
Feb 07 13:52:06 lzThinkpad kernel:  kthread+0x112/0x130
Feb 07 13:52:06 lzThinkpad kernel:  ? kthread_park+0x80/0x80
Feb 07 13:52:06 lzThinkpad kernel:  ret_from_fork+0x22/0x40
Feb 07 13:52:06 lzThinkpad kernel: ---[ end trace f33823b3f99fb5ff ]---
Feb 07 13:52:06 lzThinkpad kernel: WARNING: CPU: 4 PID: 6297 at drivers/net/wireless/ath/ath10k/mac.c:5746 ath10k_bss_info_changed+0xf96/0x1120 [ath10k_core]
Feb 07 13:52:06 lzThinkpad kernel: Modules linked in: ccm fuse joydev mousedev uvcvideo btusb btrtl btbcm videobuf2_vmalloc btintel videobuf2_memops videobuf2_v4l2 bluetooth videobuf2_common videodev media ecdh_generic nls_iso8859_1 nls_cp437 vfat fat arc4 amdgpu edac_mce_amd kvm_amd ccp kvm irqbypass wmi_bmof ath10k_pci ath10k_core crct10dif_pclmul crc32_pclmul ghash_clmulni_intel chash ath snd_hda_codec_conexant amd_iommu_v2 snd_hda_codec_generic gpu_sched snd_hda_codec_hdmi i2c_algo_bit mac80211 ttm snd_hda_intel drm_kms_helper aesni_intel snd_hda_codec aes_x86_64 crypto_simd cryptd glue_helper psmouse drm pcspkr input_leds snd_hda_core k10temp cfg80211 snd_hwdep thinkpad_acpi snd_pcm sp5100_tco agpgart syscopyarea sysfillrect i2c_piix4 snd_timer sysimgblt tpm_crb fb_sys_fops nvram ledtrig_audio ucsi_acpi r8169 rfkill snd typec_ucsi realtek libphy typec wmi soundcore battery ac tpm_tis tpm_tis_core evdev tpm i2c_scmi mac_hid rng_core pcc_cpufreq acpi_cpufreq vboxnetflt(OE) vboxnetadp(OE) vboxpci(OE)
Feb 07 13:52:06 lzThinkpad kernel:  vboxdrv(OE) sg crypto_user acpi_call(OE) ip_tables x_tables ext4 crc32c_generic crc16 mbcache jbd2 fscrypto sd_mod serio_raw atkbd libps2 crc32c_intel ahci libahci libata sdhci_pci xhci_pci scsi_mod cqhci xhci_hcd sdhci mmc_core i8042 serio
Feb 07 13:52:06 lzThinkpad kernel: CPU: 4 PID: 6297 Comm: kworker/u32:36 Tainted: G        W  OE     5.0.0-rc5-mainline #1
Feb 07 13:52:06 lzThinkpad kernel: Hardware name: LENOVO 20KVCTO1WW/20KVCTO1WW, BIOS R0UET65W (1.45 ) 09/29/2018
Feb 07 13:52:06 lzThinkpad kernel: Workqueue: events_unbound async_run_entry_fn
Feb 07 13:52:06 lzThinkpad kernel: RIP: 0010:ath10k_bss_info_changed+0xf96/0x1120 [ath10k_core]
Feb 07 13:52:06 lzThinkpad kernel: Code: 24 8b 95 78 01 00 00 85 c0 0f 85 a7 00 00 00 89 d1 be 10 00 00 00 48 c7 c2 80 13 a6 c0 4c 89 c7 e8 bf 68 00 00 e9 a5 f1 ff ff <0f> 0b 4c 89 f7 e8 40 a5 62 e4 e9 ff f3 ff ff b8 40 00 00 00 e9 65
Feb 07 13:52:06 lzThinkpad kernel: RSP: 0018:ffffa8eec971fcd0 EFLAGS: 00010282
Feb 07 13:52:06 lzThinkpad kernel: RAX: 00000000fffffffe RBX: ffffa1857acd15a0 RCX: 0000000000000000
Feb 07 13:52:06 lzThinkpad kernel: RDX: ffffa1857acd1938 RSI: ffffa8eec971fcf0 RDI: ffffa1857cd25418
Feb 07 13:52:06 lzThinkpad kernel: RBP: ffffa1857cd25418 R08: 0000000000000001 R09: 0000000000000000
Feb 07 13:52:06 lzThinkpad kernel: R10: 000000000000001f R11: 0000000000000000 R12: 0000000000000020
Feb 07 13:52:06 lzThinkpad kernel: R13: ffffa1857cd25420 R14: ffffa1857acd2598 R15: ffffa1857acd15a0
Feb 07 13:52:06 lzThinkpad kernel: FS:  0000000000000000(0000) GS:ffffa1857f100000(0000) knlGS:0000000000000000
Feb 07 13:52:06 lzThinkpad kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Feb 07 13:52:06 lzThinkpad kernel: CR2: 0000000000000000 CR3: 0000000437912000 CR4: 00000000003406e0
Feb 07 13:52:06 lzThinkpad kernel: Call Trace:
Feb 07 13:52:06 lzThinkpad kernel:  ? ath10k_conf_tx+0x7a/0x4b0 [ath10k_core]
Feb 07 13:52:06 lzThinkpad kernel:  ieee80211_bss_info_change_notify+0xb5/0x1c0 [mac80211]
Feb 07 13:52:06 lzThinkpad kernel:  ieee80211_reconfig+0x6c3/0x14d0 [mac80211]
Feb 07 13:52:06 lzThinkpad kernel:  ? preempt_count_add+0x79/0xb0
Feb 07 13:52:06 lzThinkpad kernel:  wiphy_resume+0x7f/0x150 [cfg80211]
Feb 07 13:52:06 lzThinkpad kernel:  ? wiphy_namespace+0x10/0x10 [cfg80211]
Feb 07 13:52:06 lzThinkpad kernel:  dpm_run_callback+0x59/0x180
Feb 07 13:52:06 lzThinkpad kernel:  device_resume+0xac/0x1f0
Feb 07 13:52:06 lzThinkpad kernel:  async_resume+0x19/0x30
Feb 07 13:52:06 lzThinkpad kernel:  async_run_entry_fn+0x37/0x140
Feb 07 13:52:06 lzThinkpad kernel:  process_one_work+0x1eb/0x410
Feb 07 13:52:06 lzThinkpad kernel:  worker_thread+0x2d/0x3d0
Feb 07 13:52:06 lzThinkpad kernel:  ? process_one_work+0x410/0x410
Feb 07 13:52:06 lzThinkpad kernel:  kthread+0x112/0x130
Feb 07 13:52:06 lzThinkpad kernel:  ? kthread_park+0x80/0x80
Feb 07 13:52:06 lzThinkpad kernel:  ret_from_fork+0x22/0x40
Feb 07 13:52:06 lzThinkpad kernel: ---[ end trace f33823b3f99fb600 ]---
Feb 07 13:52:06 lzThinkpad kernel: amdgpu: [powerplay] dpm has been enabled
Feb 07 13:52:06 lzThinkpad kernel: [drm] VCN decode and encode initialized successfully(under SPG Mode).
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring gfx uses VM inv eng 0 on hub 0
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring comp_1.0.0 uses VM inv eng 1 on hub 0
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring comp_1.1.0 uses VM inv eng 4 on hub 0
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring comp_1.2.0 uses VM inv eng 5 on hub 0
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring comp_1.3.0 uses VM inv eng 6 on hub 0
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring comp_1.0.1 uses VM inv eng 7 on hub 0
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring comp_1.1.1 uses VM inv eng 8 on hub 0
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring comp_1.2.1 uses VM inv eng 9 on hub 0
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring comp_1.3.1 uses VM inv eng 10 on hub 0
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring kiq_2.1.0 uses VM inv eng 11 on hub 0
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring sdma0 uses VM inv eng 0 on hub 1
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring vcn_dec uses VM inv eng 1 on hub 1
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring vcn_enc0 uses VM inv eng 4 on hub 1
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring vcn_enc1 uses VM inv eng 5 on hub 1
Feb 07 13:52:06 lzThinkpad kernel: amdgpu 0000:05:00.0: ring vcn_jpeg uses VM inv eng 6 on hub 1
Feb 07 13:52:06 lzThinkpad kernel: OOM killer enabled.
Feb 07 13:52:06 lzThinkpad kernel: Restarting tasks ... 
Feb 07 13:52:06 lzThinkpad kernel: pci_bus 0000:01: Allocating resources
Feb 07 13:52:06 lzThinkpad kernel: pci_bus 0000:02: Allocating resources
Feb 07 13:52:06 lzThinkpad kernel: pci_bus 0000:03: Allocating resources
Feb 07 13:52:06 lzThinkpad kernel: pci_bus 0000:04: Allocating resources
Feb 07 13:52:06 lzThinkpad kernel: pci_bus 0000:05: Allocating resources
Feb 07 13:52:06 lzThinkpad kernel: pci_bus 0000:06: Allocating resources
Feb 07 13:52:06 lzThinkpad kernel: done.
Feb 07 13:52:06 lzThinkpad kernel: PM: suspend exit
Feb 07 13:52:29 lzThinkpad kernel: [drm] REG_WAIT timeout 1us * 10 tries - optc1_lock line:606
Feb 07 13:52:29 lzThinkpad kernel: WARNING: CPU: 0 PID: 1529 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:249 generic_reg_wait.cold.0+0x29/0x30 [amdgpu]
Feb 07 13:52:29 lzThinkpad kernel: Modules linked in: ccm fuse joydev mousedev uvcvideo btusb btrtl btbcm videobuf2_vmalloc btintel videobuf2_memops videobuf2_v4l2 bluetooth videobuf2_common videodev media ecdh_generic nls_iso8859_1 nls_cp437 vfat fat arc4 amdgpu edac_mce_amd kvm_amd ccp kvm irqbypass wmi_bmof ath10k_pci ath10k_core crct10dif_pclmul crc32_pclmul ghash_clmulni_intel chash ath snd_hda_codec_conexant amd_iommu_v2 snd_hda_codec_generic gpu_sched snd_hda_codec_hdmi i2c_algo_bit mac80211 ttm snd_hda_intel drm_kms_helper aesni_intel snd_hda_codec aes_x86_64 crypto_simd cryptd glue_helper psmouse drm pcspkr input_leds snd_hda_core k10temp cfg80211 snd_hwdep thinkpad_acpi snd_pcm sp5100_tco agpgart syscopyarea sysfillrect i2c_piix4 snd_timer sysimgblt tpm_crb fb_sys_fops nvram ledtrig_audio ucsi_acpi r8169 rfkill snd typec_ucsi realtek libphy typec wmi soundcore battery ac tpm_tis tpm_tis_core evdev tpm i2c_scmi mac_hid rng_core pcc_cpufreq acpi_cpufreq vboxnetflt(OE) vboxnetadp(OE) vboxpci(OE)
Feb 07 13:52:29 lzThinkpad kernel:  vboxdrv(OE) sg crypto_user acpi_call(OE) ip_tables x_tables ext4 crc32c_generic crc16 mbcache jbd2 fscrypto sd_mod serio_raw atkbd libps2 crc32c_intel ahci libahci libata sdhci_pci xhci_pci scsi_mod cqhci xhci_hcd sdhci mmc_core i8042 serio
Feb 07 13:52:29 lzThinkpad kernel: CPU: 0 PID: 1529 Comm: gnome-shell Tainted: G        W  OE     5.0.0-rc5-mainline #1
Feb 07 13:52:29 lzThinkpad kernel: Hardware name: LENOVO 20KVCTO1WW/20KVCTO1WW, BIOS R0UET65W (1.45 ) 09/29/2018
Feb 07 13:52:29 lzThinkpad kernel: RIP: 0010:generic_reg_wait.cold.0+0x29/0x30 [amdgpu]
Feb 07 13:52:29 lzThinkpad kernel: Code: ff 44 8b 44 24 68 48 8b 4c 24 60 48 c7 c7 50 61 1d c1 8b 54 24 58 8b 74 24 04 e8 3c 54 7b e3 41 83 7e 20 01 0f 84 7f c7 fe ff <0f> 0b e9 78 c7 fe ff e8 37 e6 ec ff 48 c7 c7 00 60 27 c1 e8 9b 99
Feb 07 13:52:29 lzThinkpad kernel: RSP: 0018:ffffa8eec949f9b0 EFLAGS: 00010297
Feb 07 13:52:29 lzThinkpad kernel: RAX: 000000000000003b RBX: 0000000000000001 RCX: 0000000000000000
Feb 07 13:52:29 lzThinkpad kernel: RDX: 0000000000000000 RSI: ffffffffa58a7230 RDI: 00000000ffffffff
Feb 07 13:52:29 lzThinkpad kernel: RBP: 000000000000000b R08: 0000000000000001 R09: 000000000000069a
Feb 07 13:52:29 lzThinkpad kernel: R10: 0000000000000001 R11: 0000000000000000 R12: 000000000000504d
Feb 07 13:52:29 lzThinkpad kernel: R13: ffffa1855716c800 R14: ffffa1857b398480 R15: ffffa1856ba40800
Feb 07 13:52:29 lzThinkpad kernel: FS:  00007f847d257c00(0000) GS:ffffa1857f000000(0000) knlGS:0000000000000000
Feb 07 13:52:29 lzThinkpad kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Feb 07 13:52:29 lzThinkpad kernel: CR2: 000056490b7edc30 CR3: 000000040386a000 CR4: 00000000003406f0
Feb 07 13:52:29 lzThinkpad kernel: Call Trace:
Feb 07 13:52:29 lzThinkpad kernel:  optc1_lock+0xa0/0xb0 [amdgpu]
Feb 07 13:52:29 lzThinkpad kernel:  dcn10_pipe_control_lock.part.15+0x4a/0x70 [amdgpu]
Feb 07 13:52:29 lzThinkpad kernel:  dcn10_apply_ctx_for_surface+0xc9/0x5c0 [amdgpu]
Feb 07 13:52:29 lzThinkpad kernel:  dc_commit_state+0x244/0x4f0 [amdgpu]
Feb 07 13:52:29 lzThinkpad kernel:  amdgpu_dm_atomic_commit_tail+0x1ed/0xb80 [amdgpu]
Feb 07 13:52:29 lzThinkpad kernel:  ? preempt_count_add+0x79/0xb0
Feb 07 13:52:29 lzThinkpad kernel:  ? _raw_spin_unlock_irq+0x1d/0x30
Feb 07 13:52:29 lzThinkpad kernel:  ? _raw_spin_unlock_irq+0x1d/0x30
Feb 07 13:52:29 lzThinkpad kernel:  ? wait_for_common+0x113/0x190
Feb 07 13:52:29 lzThinkpad kernel:  commit_tail+0x3d/0x70 [drm_kms_helper]
Feb 07 13:52:29 lzThinkpad kernel:  drm_atomic_helper_commit+0x103/0x110 [drm_kms_helper]
Feb 07 13:52:29 lzThinkpad kernel:  drm_atomic_connector_commit_dpms+0xdb/0x100 [drm]
Feb 07 13:52:29 lzThinkpad kernel:  drm_mode_obj_set_property_ioctl+0x184/0x2b0 [drm]
Feb 07 13:52:29 lzThinkpad kernel:  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
Feb 07 13:52:29 lzThinkpad kernel:  drm_ioctl_kernel+0xaf/0xf0 [drm]
Feb 07 13:52:29 lzThinkpad kernel:  drm_ioctl+0x25f/0x3f0 [drm]
Feb 07 13:52:29 lzThinkpad kernel:  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
Feb 07 13:52:29 lzThinkpad kernel:  ? _raw_spin_lock_irq+0x1a/0x40
Feb 07 13:52:29 lzThinkpad kernel:  ? _raw_spin_unlock_irq+0x1d/0x30
Feb 07 13:52:29 lzThinkpad kernel:  ? eventfd_read+0xca/0x250
Feb 07 13:52:29 lzThinkpad kernel:  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
Feb 07 13:52:29 lzThinkpad kernel:  do_vfs_ioctl+0xa4/0x630
Feb 07 13:52:29 lzThinkpad kernel:  ksys_ioctl+0x60/0x90
Feb 07 13:52:29 lzThinkpad kernel:  __x64_sys_ioctl+0x16/0x20
Feb 07 13:52:29 lzThinkpad kernel:  do_syscall_64+0x5b/0x170
Feb 07 13:52:29 lzThinkpad kernel:  entry_SYSCALL_64_after_hwframe+0x44/0xa9
Feb 07 13:52:29 lzThinkpad kernel: RIP: 0033:0x7f8486a0780b
Feb 07 13:52:29 lzThinkpad kernel: Code: 0f 1e fa 48 8b 05 55 b6 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 25 b6 0c 00 f7 d8 64 89 01 48
Feb 07 13:52:29 lzThinkpad kernel: RSP: 002b:00007fffe9210778 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Feb 07 13:52:29 lzThinkpad kernel: RAX: ffffffffffffffda RBX: 00005649097845a0 RCX: 00007f8486a0780b
Feb 07 13:52:29 lzThinkpad kernel: RDX: 00007fffe92107b0 RSI: 00000000c01864ba RDI: 000000000000000a
Feb 07 13:52:29 lzThinkpad kernel: RBP: 00007fffe92107b0 R08: 0000000000000000 R09: 0000564906314ae0
Feb 07 13:52:29 lzThinkpad kernel: R10: 0000564906320408 R11: 0000000000000246 R12: 00000000c01864ba
Feb 07 13:52:29 lzThinkpad kernel: R13: 000000000000000a R14: 00007fffe92109b0 R15: 00007f848650cf90
Feb 07 13:52:29 lzThinkpad kernel: ---[ end trace f33823b3f99fb601 ]---
Feb 07 14:34:17 lzThinkpad kernel: printk: systemd-shutdow: 52 output lines suppressed due to ratelimiting
Feb 07 14:34:17 lzThinkpad systemd-shutdown[1]: Syncing filesystems and block devices.
Feb 07 14:34:17 lzThinkpad systemd-shutdown[1]: Sending SIGTERM to remaining processes...


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.